Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Update

Prev Next
Post
/update/campaign

Used to update a campaign that has already been created. Parameters are the same as those available in the create method.

Review the campaign model properties page to see the available parameters.

Body parameters
object
apptoken
string Required

Your App token

id
integer (int32) Required

The ID of the campaign you want to update

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "message": "Campaign is successfully updated",
  "model": {
    "id": "58943956",
    "project_id": "PROJECT_ID",
    "type": "1",
    "trigger": "3",
    "send_type": "2",
    "active": "1",
    "sending": "0",
    "draft": "0",
    "status": "0",
    "is_open": "0",
    "title": "Updated API example",
    "ab": "0",
    "languages_multi": "0",
    "content_fetch": "0",
    "encryption": "1",
    "ios_push": "0",
    "android_push": "1",
    "web_push": "0",
    "inbox": "0",
    "email": "1",
    "sms": "1",
    "facebook": "0",
    "whatsapp": "0",
    "webhook": "0",
    "broadcast": "0",
    "conversions": "0",
    "start_date": "2021-10-14",
    "start_date_time": "2026-06-26T00:00:00Z",
    "start_time": "2026-06-26T00:00:00Z",
    "end_time": "2026-06-26T23:59:00Z",
    "send_days": [
      "1",
      "2",
      "3",
      "4",
      "5",
      "6",
      "7"
    ],
    "retry_for": "4",
    "retry_for_period": "weeks",
    "activate_time": "1634201103",
    "last_modified": "1634202413",
    "messages": {
      "2": {
        "push_title": "Android push title",
        "push_text": "Android push text"
      },
      "6": {
        "push_title": "

Inbox title

", "push_text": "

Inbox text

", "push_icon": "https://example.com/image.png", "inbox_type": "1" }, "7": { "email_type": "1", "email_template": "{\"page\":{\"body\":{\"container\":{\"style\":{\"background-color\":\"#f2f2f2\"}},\"content\":{\"computedStyle\":{\"linkColor\":\"#0645AD\",\"messageBackgroundColor\":\"#ffffff\",\"messageWidth\":\"600px\"},\"style\":{\"color\":\"#000000\",\"font-family\":\"Arial, Helvetica Neue, Helvetica, sans-serif\"}},\"type\":\"mailup-bee-page-proprerties\",\"webFonts\":[]},\"description\":\"Base Template\",\"rows\":[{\"columns\":[{\"grid-columns\":12,\"modules\":[{\"descriptor\":{\"computedStyle\":{\"hideContentOnMobile\":false},\"style\":{\"padding-bottom\":\"10px\",\"padding-left\":\"10px\",\"padding-right\":\"10px\",\"padding-top\":\"10px\"},\"text\":{\"computedStyle\":{\"linkColor\":\"#0645AD\"},\"html\":\"

Tests

\",\"style\":{\"color\":\"#555555\",\"font-family\":\"inherit\",\"line-height\":\"120%\"}}},\"type\":\"mailup-bee-newsletter-modules-text\",\"uuid\":\"290e8159-9b94-4700-9264-668646db1e2e\"},{\"type\":\"mailup-bee-newsletter-modules-image\",\"descriptor\":{\"image\":{\"alt\":\"\",\"src\":\"\",\"href\":\"\"},\"style\":{\"width\":\"100%\",\"padding-top\":\"0px\",\"padding-right\":\"0px\",\"padding-bottom\":\"0px\",\"padding-left\":\"0px\"},\"computedStyle\":{\"class\":\"center autowidth\",\"width\":\"100px\",\"hideContentOnMobile\":false}},\"uuid\":\"4dac545e-5d47-458c-ad6f-0f23a75303d2\"}],\"style\":{\"background-color\":\"transparent\",\"border-bottom\":\"0px solid transparent\",\"border-left\":\"0px solid transparent\",\"border-right\":\"0px solid transparent\",\"border-top\":\"0px solid transparent\",\"padding-bottom\":\"5px\",\"padding-left\":\"0px\",\"padding-right\":\"0px\",\"padding-top\":\"5px\"},\"uuid\":\"fbc25679-19ba-4c0a-9d9d-4c3aeb277cdb\"}],\"container\":{\"style\":{\"background-color\":\"transparent\",\"background-image\":\"none\",\"background-position\":\"top left\",\"background-repeat\":\"no-repeat\"}},\"content\":{\"style\":{\"background-color\":\"#ffffff\",\"background-image\":\"none\",\"background-position\":\"top left\",\"background-repeat\":\"no-repeat\",\"color\":\"#000000\",\"width\":\"600px\"}},\"type\":\"one-column-empty\",\"uuid\":\"fe1100e4-fe16-4413-b90b-c329a7e542ba\"}],\"template\":{\"name\":\"template-base\",\"type\":\"basic\",\"version\":\"0.0.1\"},\"title\":\"Template\"},\"comments\":{}}", "email_html": "

Tests

", "email_subject": "Email subject", "email_from_name": "Oxfordstones", "email_from_address": "info@oxfordstones.co.uk", "email_reply_to_name": "Oxfordstones", "email_reply_to_address": "help@oxfordstones.co.uk", "email_unsubscribe": "0" } } } }
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
message
string
ExampleCampaign is successfully updated
model
object
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string